Questions sur stderr

10
réponses

Comment pipe stderr, et pas stdout?

j'ai un programme qui écrit des informations à stdout et stderr , et j'ai besoin de grep à travers ce qui vient à stde ... ' temp.file mais je préférerais pouvoir le faire sans fichiers temp. Existe-il des smart tuyauterie astuces?
demandé sur 2010-02-26 18:53:27
5
réponses

Comment rediriger stdout et stderr vers un fichier [dupliquer]

cette question a déjà une réponse ici: Comment puis-je rediriger et ajouter à la ... tandard qui apparaît sur le terminal. puis-je enregistrer à la fois le stderr et le stdout dans un fichier?
demandé sur 2011-09-23 13:35:45
14
réponses

Comment stocker l'erreur standard dans une variable dans un script Bash

disons que j'ai un script comme le suivant: useless.sh echo "This Is Error" 1>&2 echo "This Is ... c'est ce que je vais devoir faire. j'espère qu'il y a un autre moyen. N'importe qui ont des idées?
demandé sur 2009-06-07 20:38:11
10
réponses

Confus à propos de stdin, stdout et stderr?

je suis assez confus avec le but de ces trois dossiers. Si mon interprétation est correcte, stdin est le fichier dan ... oir, c'est quel est exactement le but de ces fichiers, réponse absolument stupide avec très peu de jargon technique!
demandé sur 2010-08-02 09:20:23
6
réponses

Linux( Bash): rediriger toutes les sorties vers le fichier [dupliquer]

cette question a déjà une réponse ici: Comment puis-je rediriger et ajouter à la ... n fichier. Cela soulève des questions sur la façon de capturer la sortie du serveur, mais c'est une autre question.
demandé sur 2013-05-30 21:03:42
4
réponses

Comment imprimer vers stderr en R?

comment imprimer vers stderrR? cela serait particulièrement utile pour les scripts écrits en Rscript.
demandé sur 2009-07-10 15:25:47
6
réponses

Comment puis-je imprimer vers stderr en C?

En C, l'Impression sur la sortie standard est facile, avec moins de!--0-->stdio.h. Cependant, comment pouvez imprimer sur ... réaliser apparemment, mais sa syntaxe semble étrange. Peut-être que nous pouvons utiliser printf pour imprimer à stderr?
demandé sur 2016-08-17 19:40:20
3
réponses

PHP StdErr après Exec()

En PHP, je suis de l'exécution d'une commande exec(), et il renvoie, en cas de succès d'une URL; $url = exec('report'); ... 'allait pas. Comment pourrais-je lire le flux? Je veux utiliser php: / / stderr, mais je ne sais pas comment l'utiliser.
demandé sur 2010-02-23 21:13:16
4
réponses

Comment puis-je rediriger Temporairement stderr dans Ruby?

j'aimerais rediriger Temporairement stderr dans un script Ruby pour la durée d'un bloc, en m'assurant de le remettre à sa valeur originale à la fin du bloc. j'ai eu du mal à trouver comment faire cela dans le rubis docs.
demandé sur 2010-12-16 12:47:16
7
réponses

Comment répliquer le comportement de tee en Python lors de l'utilisation de subprocess?

je suis à la recherche d'une solution Python qui me permettra de sauvegarder la sortie d'une commande dans un fichier san ... it tous les résultats ont été reçus à la fin du processus. Par défaut, Popen ne doit pas utiliser de tampon (bufsize=0).
demandé sur 2010-06-08 15:36:13
4
réponses

Bash script-stocker stderr dans une variable [dupliquer]

cette question a déjà une réponse ici: Comment stocker de l'erreur-type d'une var ... ut est déjà envoyé (via gzip) vers un fichier. Comment puis-je stocker séparément stderr dans une variable $result ?
demandé sur 2010-06-28 10:06:54
4
réponses

Comment rediriger stderr et stdout vers file for a Ruby script?

comment rediriger stderr et stdout vers file for a Ruby script?
demandé sur 2010-06-11 01:17:31
8
réponses

La ligne de commande "usage" doit-elle être imprimée sur stdout ou stderr?

lors de l'impression de l ' "usage" d'une application, doit-il être fait sur stdout ou sur stderr? selon l'application ... l ne semble pas y avoir une règle. Peut-être que je me trompe et qu'il y a une bonne pratique. Dans ce cas, quel est-il?
demandé sur 2010-02-04 15:33:36
4
réponses

bash: rediriger (et ajouter) stdout et stderr vers file et terminal et obtenir le statut de sortie approprié

Pour rediriger (et append) stdout et stderr dans un fichier, tout en l'affichant sur le terminal, je fais ceci: command 2 ... utiliser ${PIPESTATUS[0]} ici $?, mais je cherche une autre solution qui n'impliquerait pas avoir à vérifier PIPESTATUS.
demandé sur 2010-03-10 01:41:18
3
réponses

Comment puis-je écrire à l'erreur standard dans PowerShell?

j'ai du mal à comprendre comment faire écho au flux d'erreur standard et rediriger le flux d'erreur d'un exécutable. je ... is utiliser; # Write to stderr echo "Error Message!" >&2 # Redirect stderr to file /do/error 2>/tmp/err.msg
demandé sur 2011-02-15 01:45:21
1
réponses

Bash comment capturer stderr sur une variable? [dupliquer]

cette question a déjà une réponse ici: script Bash - magasin stderr dans une vari ... sh -c path/myExcecutable-bin 2>&1 =MYVARIABLE Comment envoyer la sortie stderror à une variable ?
demandé sur 2012-06-18 20:55:25
4
réponses

Powershell: Capture du programme stdout et stderr pour séparer les variables

est-il possible de rediriger stdout d'un programme externe vers une variable et stderr d'un programme externe vers une ... rite-Host "External program ran fine!"; } un exemple ennuyeux cependant je me demande si cela est possible?
demandé sur 2014-06-14 20:44:00
2
réponses

Rediriger le sous-processus stderr vers stdout

je veux rediriger la sortie stderr d'un sous-processus vers stdout. La constante STDOUT devrait faire ça, n'est-ce pas? ... ss.STDOUT)' produit quelque chose. Pourquoi est-ce le cas, et comment puis-je obtenir le message d'erreur sur stdout?
demandé sur 2012-07-16 01:33:07
2
réponses

Que sont "cerr" et"stderr"?

Quelle est la différence entre eux et comment sont-ils utilisés? Quelqu'un peut-il m'indiquer des exemples? plus précisé ... ment "écrire" au flux dans les deux cas et comment récupérer et sortir (c'est-à-dire à l'écran) le texte qui y a été écrit?
demandé sur 2010-07-08 05:32:21
2
réponses

Comment transférer la sortie vers un fichier lors de L'exécution en tant que service Systemd?

j'ai de la difficulté à raccorder le STDOUT & STDERR à un fichier lors de l'exécution d'un programme en tant que service ... uration de StdOutput=tty mais je ne trouve pas de moyen de rediriger ceci vers un fichier. Toute aide serait appréciée.
demandé sur 2015-10-06 14:12:55
6
réponses

Fusionner les sous-processus stdout et stderr d'un script Python tout en les gardant distinguables

j'aimerais diriger le sous-processus stdout et stdin d'un script python dans le même fichier. Ce que je ne sais pas, c'es ... nécessaire de surveiller en direct le sous-processus, le script Python exécutant peut attendre la fin de son exécution.
demandé sur 2011-07-25 00:43:09
3
réponses

Comment tee to stderr?

je veux split stdout de sorte qu'il est imprimé à la fois stdout et stderr. Cela ressemble à un travail pour tee mais la syntaxe m'échappe - ./script.sh | tee stderr bien sûr, comment doit -stderr est-il mentionné ici?
demandé sur 2012-12-10 20:26:22
6
réponses

Capture de stdout et de stderr dans Bash [dupliquer]

cette question a déjà une réponse ici: Capture stdout et stderr en différentes var ... Il peut y avoir d'autres façons de le faire, mais cette approche semble fonctionner, si c'est réellement possible.
demandé sur 2012-12-10 22:08:21
3
réponses

Dois-je émettre des avertissements à STDERR ou à STDOUT?

je fais un script qui gère un ensemble prédéfini de données, sortant vers un fichier. Je veux faire apparaître un avertis ... nipulée (puisque je ne sais pas comment elle affecte les données). Dois-je envoyer cet avertissement à stderr ou stdout?
demandé sur 2009-09-16 08:34:26
3
réponses

Python: sous-processus.appel, stdout vers un fichier, stderr dans un fichier, afficher stderr sur l'écran en temps réel

j'ai un outil en ligne de commande (en fait, plusieurs) pour lequel j'écris un wrapper en Python. L'outil est généralem ... t beaucoup plus compliqué que je ne le pensais...merci pour toute aide! EDIT: cela ne doit fonctionner que sous Linux.
demandé sur 2013-08-21 01:03:22
4
réponses

imprimer vs stderr

Existe-t-il des avantages ou des inconvénients soit print ou stderr?
demandé sur 2009-06-02 18:25:54
3
réponses

Python multiprocessing: Comment puis-je rediriger de manière fiable stdout à partir d'un processus enfant?

NB. J'ai vu sortie Log de multiprocessing.Processus - malheureusement, il ne répond pas à cette question. ... eul choix, je pense que je serais probablement plump pour faire toute la chose manuellement avec pywin32 à la place.
demandé sur 2011-10-10 19:10:49
4
réponses

Quelle méthode dois-je utiliser pour écrire des messages d'erreur à 'stderr' en utilisant 'printf' dans un script bash?

je veux diriger la sortie d'un printf dans un bash script à stderr au lieu de stdout. je suis demander à propos de la r ... parce que la sortie devrait aller à stderr, qui à son tour devrait aller vers un fichier. Mais cela n'arrive pas. Hein?
demandé sur 2012-06-09 22:48:52
4
réponses

Unités d'entrée et de sortie Standard en Fortran 90?

Comment puis-je lire et écrire dans les flux d'entrées, de sorties et d'erreurs standard stdin,stdout et stderr en Fortra ... Version 10.0 Build 20070426 Package ID: l_fc_p_10.0.023 Copyright (C) 1985-2007 Intel Corporation. Tous droits réservés
demandé sur 2011-12-14 21:05:09
4
réponses

Faire curl envoyer des erreurs à stderr et tout le reste à stdout

y a-t-il un moyen de dire à curl les erreurs de sortie à stderr, et tout le reste à stdout? la raison est que ... n moyen de ne faire que des erreurs de sortie curl sur stderr, mais de laisser la sortie normale intacte sur stdout?
demandé sur 2011-08-04 04:49:35